godo.Registry.Create()
Generated on 5 Nov 2026
from godo version
v1.236.0
Usage
client.Registry.Create(ctx context.Context, create *godo.RegistryCreateRequest) (*godo.Registry, *godo.Response, error)Description
Create creates a registry.
This method sends a POST request to /v2/registry.
Parameters
create*godo.RegistryCreateRequest required
Fields of godo.RegistryCreateRequest
RegistryCreateRequest represents a request to create a registry.
NamestringSubscriptionTierSlugstringRegionstring
Returns
- *godo.Registry
- *godo.Response
The HTTP response, with pagination
Links,Meta, andRatelimit information.- error
Non-nil when the request fails. API errors are returned as
*godo.ErrorResponse.
Fields of godo.Registry
Registry represents a registry.
UUIDstringNamestringStorageUsageBytesuint64StorageUsageBytesUpdatedAttime.TimeCreatedAttime.TimeRegionstring
Request Sample
More Information
See POST /v2/registry in the API reference for additional detail on responses, headers, parameters, and more.
See the Go package documentation for the source of this method.